SDL_GPUBlitInfo Struct Reference

`#include <SDL_gpu.h>`

Collaboration diagram for SDL_GPUBlitInfo:
[legend]

## Data Fields

SDL_GPUBlitRegion | source
SDL_GPUBlitRegion | destination
SDL_GPULoadOp | load_op
SDL_FColor | clear_color
SDL_FlipMode | flip_mode
SDL_GPUFilter | filter
bool | cycle
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

A structure containing parameters for a blit command.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_BlitGPUTexture

Definition at line 1998 of file SDL_gpu.h.

## Field Documentation

## clear_color

SDL_FColor SDL_GPUBlitInfo::clear_color

The color to clear the destination region to before the blit. Ignored if load_op is not SDL_GPU_LOADOP_CLEAR.

Definition at line 2002 of file SDL_gpu.h.

## cycle

bool SDL_GPUBlitInfo::cycle

true cycles the destination texture if it is already bound.

Definition at line 2005 of file SDL_gpu.h.

## destination

SDL_GPUBlitRegion SDL_GPUBlitInfo::destination

The destination region for the blit.

Definition at line 2000 of file SDL_gpu.h.

## filter

SDL_GPUFilter SDL_GPUBlitInfo::filter

The filter mode used when blitting.

Definition at line 2004 of file SDL_gpu.h.

## flip_mode

SDL_FlipMode SDL_GPUBlitInfo::flip_mode

The flip mode for the source region.

Definition at line 2003 of file SDL_gpu.h.

## load_op

SDL_GPULoadOp SDL_GPUBlitInfo::load_op

What is done with the contents of the destination before the blit.

Definition at line 2001 of file SDL_gpu.h.

## padding1

Uint8 SDL_GPUBlitInfo::padding1

Definition at line 2006 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUBlitInfo::padding2

Definition at line 2007 of file SDL_gpu.h.

## padding3

Uint8 SDL_GPUBlitInfo::padding3

Definition at line 2008 of file SDL_gpu.h.

## source

SDL_GPUBlitRegion SDL_GPUBlitInfo::source

The source region for the blit.

Definition at line 1999 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h